#![no_std]
#![no_main]

#![feature(core_intrinsics)]

mod video;
mod bootboot;
mod panic;
mod util;
mod init;
mod arch;

use arch::cpu;

use video::Color;

#[no_mangle]
pub extern "C" fn _start() -> ! {

    init::halt_other_cores();
    init::check_magic();

    video::clear(Color::White);
    
    cpu::halt();

}